Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.linuxsampler.lscp.event
Class DeviceMidiDataEvent

    java.lang.Object
      java.util.EventObject
          org.linuxsampler.lscp.event.MidiDataEvent
              org.linuxsampler.lscp.event.DeviceMidiDataEvent

All Implemented Interfaces:
  java.io.Serializable

    public class DeviceMidiDataEvent

extends MidiDataEvent

A semantic event which indicates that MIDI data has arrived on a specific MIDI device.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.linuxsampler.lscp.event.MidiDataEvent
`MidiDataEvent.Type`

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`DeviceMidiDataEvent(java.lang.Object source, MidiDataEvent.Type type, int note, int velocity)` Creates a new instance of `DeviceMidiDataEvent`

Method Summary
`int` | `getDeviceId()` Returns the ID of the MIDI device, to which MIDI data has arrived.
`int` | `getPortId()` Returns the ID of the device's MIDI port, to which MIDI data has arrived.
`void` | `setDeviceId(int id)` Sets the ID of the MIDI device, to which MIDI data has arrived.
`void` | `setPortId(int id)` Sets the ID of the device's MIDI port, to which MIDI data has arrived.

Methods inherited from class org.linuxsampler.lscp.event.MidiDataEvent
`getNote, getType, getVelocity`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DeviceMidiDataEvent

    public DeviceMidiDataEvent(java.lang.Object source,
                               MidiDataEvent.Type type,
                               int note,
                               int velocity)

  Creates a new instance of `DeviceMidiDataEvent`

Method Detail

### getDeviceId

    public int getDeviceId()

  Returns the ID of the MIDI device, to which MIDI data has arrived.

### setDeviceId

    public void setDeviceId(int id)

  Sets the ID of the MIDI device, to which MIDI data has arrived.

### getPortId

    public int getPortId()

  Returns the ID of the device's MIDI port, to which MIDI data has arrived.

### setPortId

    public void setPortId(int id)

  Sets the ID of the device's MIDI port, to which MIDI data has arrived.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Grigor Iliev. All rights reserved.